## cong-editor-node-element

cong-editor-node-element —

## Synopsis

    #define     CONG_EDITOR_NODE_ELEMENT        (obj)
    #define     CONG_EDITOR_NODE_ELEMENT_CLASS  (klass)
    #define     IS_CONG_EDITOR_NODE_ELEMENT     (obj)
    GType       cong_editor_node_element_get_type
                                                (void);
    CongEditorNodeElement* cong_editor_node_element_construct
                                                (CongEditorNodeElement *editor_node_element,
                                                 CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);
    CongDispspecElement* cong_editor_node_element_get_dispspec_element
                                                (CongEditorNodeElement *editor_node_element);

## Description

## Details

### CONG_EDITOR_NODE_ELEMENT()

    #define CONG_EDITOR_NODE_ELEMENT(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_NODE_ELEMENT_TYPE, CongEditorNodeElement)

`obj` : |

### CONG_EDITOR_NODE_ELEMENT_CLASS()

    #define CONG_EDITOR_NODE_ELEMENT_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_NODE_ELEMENT_TYPE, CongEditorNodeElementClass)

`klass` : |

### IS_CONG_EDITOR_NODE_ELEMENT()

    #define IS_CONG_EDITOR_NODE_ELEMENT(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_NODE_ELEMENT_TYPE)

`obj` : |

### cong_editor_node_element_get_type ()

    GType       cong_editor_node_element_get_type
                                                (void);

Returns : |

### cong_editor_node_element_construct ()

    CongEditorNodeElement* cong_editor_node_element_construct
                                                (CongEditorNodeElement *editor_node_element,
                                                 CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`editor_node_element` : |
`widget` : |
`traversal_node` : |
Returns : |

### cong_editor_node_element_get_dispspec_element ()

    CongDispspecElement* cong_editor_node_element_get_dispspec_element
                                                (CongEditorNodeElement *editor_node_element);

TODO: Write me

`editor_node_element` : |
Returns : |